# Forgejo Organization Agreements

Agreements are ways of working, practices and methods that help us work
together effectively to make Forgejo amazing and achieve its goals.

These are the overall Forgejo Organization agreements; specific teams may have
their own agreements about how they work. See <TEAMS.md> for more info.

## Decision Making

- **Where to document agreements:** When a decision is made, and it includes an agreement about how we do things, the person who initiated the decision records the agreement as follows:
    - If it's within a specific team, it goes into that team's agreements file
    - If it's a change in the roles of team members, update `TEAMS.md`
    - If it's a conceptual agreement about our purpose and values, it goes into `MISSION.md`
    - Otherwise, it goes into *this* file, i.e. `AGREEMENTS.md`

### Responsibility distribution table

Each item has 4 pieces of info:

1. Domain: Type of decision / domain of responsibility
2. Who decides / Who is accountable
3. How? Based on what? Advice, policy, criteria
4. Duration: How often do we review and re-approve
5. Review: When's the next time do we review and re-approve

* Domain: **Security**
  - Who: Security Team
  - How:
    - Consider impact on Forgejo instances, users and admins
    - Consult with relevant security-knowledgeable people if needed
  - Duration: 1 year
  - Review: 1 Feb 2024

* Domain: **Fediverse account**
  - Who: Social Account Team
  - How: -
  - Duration: 1 year
  - Review: 1 Feb 2024

* Domain: **Anything else**
  - Who: The community together, with a facilitator about whom there's no
         controversy (either an Organization member or external person chosen
         for this), with the option to delegate an urgent decision to a small
         group to make in behalf of the community
  - How: Using the process described in
         [`DECISION-MAKING.md`](DECISION-MAKING.md) (or any other collaborative
         inclusive process, as long as all participants are okay with it)
  - Duration: 1 year
  - Review: 1 Feb 2024

## Branding: Forgejo name, tagline, logo and mascot

The name of the project is Forgejo, the tagline is `Beyond coding. We forge.`. See [here for details](BRANDING.md).

### Forgejo Logo

<img src="./branding/logo/forgejo.png" alt="Logo" width="150" />

### Forgejo Mascot

<img src="./branding/mascot/2022-11-27_Forgejo_by-David-Revoy_small.jpg" alt="Logo" width="150" />

## Conflict Engagnement

- When a conflict arises, we contact the [well-being team](TEAMS.md#Well-being)
  and ask for their support to mediate the conversation
